Subject: bug#77455: closed (Re: [bug#77455] [PATCH 4/4] gnu: papirus-icon-theme: Avoid creating executable icons.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Apr 2025 20:07:02 +0000

Your bug report

#77455: Updates for papirus-icon-theme

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77455: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77455
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77455] [PATCH 4/4] gnu: papirus-icon-theme: Avoid creating executable icons.
From: Liliana Marie Prikler <[email-masked]>
To: Timo Wilken <[email-masked]>, [email-masked]
Cc: Vivien Kraus <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Wed, 02 Apr 2025 22:06:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 02.04.2025 um 13:16 +0200 schrieb Timo Wilken:
> * gnu/packages/gnome-xyz.scm (papirus-icon-theme) [arguments]:
>   Add 'remove-executable-bit phase.
> 
> Change-Id: Ic4d4f41b348d728913a90b0ef9cdf50f9901070a
> ---
Pushed with slight style changes and minor rewordings.

Cheers

Subject: Updates for papirus-icon-theme
From: "Timo Wilken" <[email-masked]>
To: <[email-masked]>
Date: Wed, 02 Apr 2025 13:13:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'd like to update papirus-icon-theme to the latest version.

In the course of that, I discovered that the workaround to reduce the number
of inodes the package uses doesn't seem to work very well, so I added a `cp'
flag that fixes it for me.

The package also contains a bunch of icon files that are marked "executable",
so I'm also fixing that.

Patches for the above incoming.

Finally, the upstream developers recommend splitting the package into a main
`papirus-icon-theme' and an `epapirus-icon-theme' (for the pantheon desktop),
the latter of which depends on the former:
<https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/releases/tag/20231101>

I've not done this yet because I wasn't sure what the best way to do this in
Guix is -- separate outputs of the same package? Two separate packages? What
do you think?

Cheers,
Timo